Name:           ps3-utils
Version:        2.3
Release:        4%{?dist}
Summary:        Utilities for Sony PlayStation 3

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.kernel.org/pub/linux/kernel/people/geoff/cell/ps3-utils/
Source0:        ps3-utils-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf automake groff libtool
Provides:       ps3pf-utils = 2.1-3
Obsoletes:      ps3pf-utils < 0:2.1-3
ExclusiveArch:  ppc ppc64

%description
Utilities for Sony PlayStation 3

%package libs
Group:          System Environment/Libraries
Summary:        Libraries for managing Sony PlayStation 3 system

%description libs
Libraries for managing Sony PlayStation 3 system

%package libs-devel
Group:          System Environment/Libraries
Summary:        Development package for ps3-utils-libs
Requires:       ps3-utils-libs = %{version}-%{release}

%description libs-devel
Development package for ps3-utils-libs, which provides functions for
managing Sony PlayStation 3 systems.


%prep
%setup -q -n ps3-utils-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/ps3-boot-game-os
%{_sbindir}/ps3-dump-bootloader
%{_sbindir}/ps3-flash-util
%{_sbindir}/ps3-rtc-init
%{_bindir}/ps3-video-mode
%{_mandir}/man8/ps3-boot-game-os.8.gz
%{_mandir}/man8/ps3-dump-bootloader.8.gz
%{_mandir}/man8/ps3-flash-util.8.gz
%{_mandir}/man8/ps3-rtc-init.8.gz
%{_mandir}/man8/ps3-utils.8.gz
%{_mandir}/man8/ps3-video-mode.8.gz
%doc COPYING

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files libs
%defattr(-,root,root,-)
%{_libdir}/libps3-utils.so.2.0.0
%{_libdir}/libps3-utils.so.2
%doc COPYING

%files libs-devel
%defattr(-,root,root,-)
%{_includedir}/ps3-av.h
%{_includedir}/ps3-flash.h
%{_libdir}/libps3-utils.so
%doc COPYING

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Josh Boyer <jwboyer@gmail.com> 2.3-3
- Fix Obsoletes line to account for disttag in older pacakges

* Tue Feb 24 2009 Geoff Levand <geoffrey.levand@am.sony.com> 2.3-2
- Add groff to BuildRequires

* Thu Feb 19 2009 Geoff Levand <geoffrey.levand@am.sony.com> 2.3-1
- New package, replaces ps3pf-utils

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.1-2
- Autorebuild for GCC 4.3

* Fri Nov 23 2007 David Woodhouse <dwmw2@redhat.com> 2.1-1
- New package, split from ppc64-utils
